Bug 1316859 - (CVE-2016-3620) CVE-2016-3620 libtiff: Out-of-bound read in ZIPEncode
CVE-2016-3620 libtiff: Out-of-bound read in ZIPEncode
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160407,reported=2...
: Security
Depends On: 1324816 1324817
Blocks: 1316881
  Show dependency treegraph
 
Reported: 2016-03-11 05:23 EST by Adam Mariš
Modified: 2017-05-10 17:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-10 17:13:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ASAN and GDB report (4.91 KB, text/plain)
2016-03-11 05:29 EST, Adam Mariš
no flags Details

  None (edit)
Description Adam Mariš 2016-03-11 05:23:41 EST
An out-of-bounds read in ZIPEncode function in tif_zip.c when running bmp2tiff on crafted BMP file was found in libtiff-4.0.6.
Comment 1 Adam Mariš 2016-03-11 05:23:48 EST
Acknowledgments:

Name: Mei Wang (Qihoo 360)
Comment 3 Adam Mariš 2016-03-11 05:29 EST
Created attachment 1135193 [details]
ASAN and GDB report
Comment 4 Andrej Nemec 2016-04-07 07:14:57 EDT
Public via:

http://seclists.org/oss-sec/2016/q2/21
Comment 6 Stefan Cornelius 2017-05-10 17:13:58 EDT
Statement:

This issue did not affect the versions of libtiff as shipped with Red Hat Enterprise Linux 6 and 7. This issue did not affect the versions of  compat-libtiff3 as shipped with Red Hat Enterprise Linux 7, as they did not include the bmp2tiff tool.

Note You need to log in before you can comment on or make changes to this bug.